Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.explorer
Class ExplorerAdapterActions

    java.lang.Object
      javax.swing.undo.AbstractUndoableEdit
          madkit.explorer.ExplorerAbstactActions
              madkit.explorer.ExplorerAdapterActions

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable, javax.swing.undo.UndoableEdit

Direct Known Subclasses:
  ExplorerActionBackward, ExplorerActionCopy, ExplorerActionCreateFile, ExplorerActionForward, ExplorerActionHome, ExplorerActionParent, ExplorerActionPast, ExplorerActionRedo, ExplorerActionUndo, ExplorerUndoListener

    public class ExplorerAdapterActions

extends ExplorerAbstactActions

Author:
  B_ROUIFED To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.undo.AbstractUndoableEdit
`RedoName, UndoName`

Constructor Summary
`ExplorerAdapterActions()`

Method Summary
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor arg0)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor arg0)`
`void` | `redo()`
`void` | `undo()`
`void` | `updateButtons()`

Methods inherited from class javax.swing.undo.AbstractUndoableEdit
`addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExplorerAdapterActions

    public ExplorerAdapterActions()

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor arg0)

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor arg0)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

### updateButtons

    public void updateButtons()

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `undo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `undo` in class `javax.swing.undo.AbstractUndoableEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

### redo

    public void redo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `redo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `redo` in class `javax.swing.undo.AbstractUndoableEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.